org.apache.olingo.odata2.api.edm.provider

## Class AssociationEnd

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.AssociationEnd

-     public class AssociationEnd
      extends Object

  Objects of this class represent an association end

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationEnd()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `EdmMultiplicity` | `getMultiplicity()`
    `OnDelete` | `getOnDelete()`
    `String` | `getRole()`
    `FullQualifiedName` | `getType()`
    `AssociationEnd` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `AssociationEnd`
    `AssociationEnd` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `AssociationEnd`
    `AssociationEnd` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `AssociationEnd`
    `AssociationEnd` | `setMultiplicity(EdmMultiplicity multiplicity)` Sets the `EdmMultiplicity` for this `AssociationEnd`
    `AssociationEnd` | `setOnDelete(OnDelete onDelete)` Sets `OnDelete` for this `AssociationEnd`
    `AssociationEnd` | `setRole(String role)` Sets the role for this `AssociationEnd`
    `AssociationEnd` | `setType(FullQualifiedName type)` Sets the `FullQualifiedName` for this `AssociationEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationEnd

          public AssociationEnd()

  - ### Method Detail

    - #### getType

          public FullQualifiedName getType()

      Returns:
        `FullQualifiedName` full qualified name (namespace and name)

    - #### getRole

          public String getRole()

      Returns:
        String role

    - #### getMultiplicity

          public EdmMultiplicity getMultiplicity()

      Returns:
        `EdmMultiplicity` multiplicity of this end

    - #### getOnDelete

          public OnDelete getOnDelete()

      Returns:
        `OnDelete` on delete

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setType

          public AssociationEnd setType(FullQualifiedName type)

      Sets the `FullQualifiedName` for this `AssociationEnd`
      Parameters:
        `type` -
      Returns:
        `AssociationEnd` for method chaining

    - #### setRole

          public AssociationEnd setRole(String role)

      Sets the role for this `AssociationEnd`
      Parameters:
        `role` -
      Returns:
        `AssociationEnd` for method chaining

    - #### setMultiplicity

          public AssociationEnd setMultiplicity(EdmMultiplicity multiplicity)

      Sets the `EdmMultiplicity` for this `AssociationEnd`
      Parameters:
        `multiplicity` -
      Returns:
        `AssociationEnd` for method chaining

    - #### setOnDelete

          public AssociationEnd setOnDelete(OnDelete onDelete)

      Sets `OnDelete` for this `AssociationEnd`
      Parameters:
        `onDelete` -
      Returns:
        `AssociationEnd` for method chaining

    - #### setDocumentation

          public AssociationEnd setDocumentation(Documentation documentation)

      Sets the `Documentation` for this `AssociationEnd`
      Parameters:
        `documentation` -
      Returns:
        `AssociationEnd` for method chaining

    - #### setAnnotationAttributes

          public AssociationEnd setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `AssociationEnd`
      Parameters:
        `annotationAttributes` -
      Returns:
        `AssociationEnd` for method chaining

    - #### setAnnotationElements

          public AssociationEnd setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `AssociationEnd`
      Parameters:
        `annotationElements` -
      Returns:
        `AssociationEnd` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.